Skip to main content
POST
/
gst
/
compliance
/
tax-payer
/
gstrs
/
gstr-1
/
{year}
/
{month}
/
reset
curl --request POST \ --url https://api.sandbox.co.in/gst/compliance/tax-payer/gstrs/gstr-1/{year}/{month}/reset \ --header 'Content-Type: application/json' \ --header 'authorization: <authorization>' \ --header 'x-api-key: <x-api-key>' \ --data ' { "gstin": "29AAACQ3770E000", "ret_period": "122023" } '
{ "code": 200, "data": { "data": { "reference_id": "456a8aa4-10f0-4af5-9819-d82a9c9bd771" }, "status_cd": "1" }, "timestamp": 1763446641000, "transaction_id": "da7c4153-0f64-4c5a-a6ea-e62aea1da5c8" }

Request body schema

View request body schema

Headers

authorization
string
required

GST taxpayer access token. For token-generation steps, refer to the Generate Taxpayer Session recipe, then pass the token in the authorization header.

x-api-version
string
default:1.0.0

API version

x-api-key
string
required

API key for identification

Path Parameters

year
string
required
month
string
required

Body

application/json

Reset GSTR-1

Response

200 - application/json

200 Success / RET191251 RESET is under progress

code
number
Example:

200

data
object
timestamp
number
Example:

1763446641000

transaction_id
string
Example:

"da7c4153-0f64-4c5a-a6ea-e62aea1da5c8"